/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\ml peerless\OverseerSunderedBlade.cs
Lines of code: 71
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class  OverseerSunderedBladeRecipe : BaseRecipe
	{
	
		[Constructable]
		public OverseerSunderedBladeRecipe()
		{		
		//InitRequirements();
		}
		
		
		//overrides:
		
		public override Type CraftedItem { get { return typeof(OverseerSunderedBlade); } }
		public override string artyname { get { return "Overseer Sundered Blade"; } }	
		
	
		public override void InitRequirements()
		{
		base.InitRequirements(); //MUST be first! 
		
		//add required skills:
		
		RequiredSkills.Add(new ReqSkill(SkillName.Blacksmith,70));
		
		//add required resources		

		CommonResources.Add(new ReqRes("Ingot",typeof(IronIngot),15));		
		
		RareResources.Add(new ReqRes("Grizzled Bones",typeof(GrizzledBones),1));		
		RareResources.Add(new ReqRes("Corruption",typeof(Corruption),10));		
		RareResources.Add(new ReqRes("Putrefaction",typeof(Putrefaction),10));				
		}	

			
	
		public OverseerSunderedBladeRecipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
		
	}
	
	
	public class OverseerSunderedBlade : RadiantScimitar
	{
		public override int LabelNumber{ get{ return 1072920; } } // Overseer Sundered Blade

		[Constructable]
		public OverseerSunderedBlade()
		{
			ItemID = 0x2D27;
			Hue = 0x485;

			Attributes.RegenStam = 2;
			Attributes.AttackChance = 10;
			Attributes.WeaponSpeed = 35;
			Attributes.WeaponDamage = 45;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=100;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			

			Hue = this.GetElementalDamageHue();
		}

		/*public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy,out int chaos )
		{
			phys = cold = pois = nrgy = chaos = 0;
			fire = 100;
		}*/

		public OverseerSunderedBlade( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}